API Notes
kirin_v1_6_t2v generates videos in std mode at 720p resolution with 24fps frame rate.
kirin_v1_6_t2v generates videos in pro mode at 1080p resolution with 24fps frame rate.
Authentication
authorization string required
All APIs require authentication via Bearer Token.
Get API Key:
Visit API Key Management Page to get your API Key.
Usage:
Add to request header:
Authorization: Bearer YOUR_API_KEY
Parameters
model string required
Model ID to use for the request
Options: kirin_v1_6_t2v
prompt string required
Video generation prompt, maximum 2500 characters
negative_prompt string
Negative text prompt, maximum 2500 characters
cfg_scale number
Generation freedom level. Higher values mean less model freedom and stronger correlation with user prompt
Range: 0 - 1
mode string
Video generation mode
std: Standard mode, basic mode with high cost-effectiveness
pro: Expert mode (high quality), high performance mode with better video quality
Options: std, pro
Default: std
aspect_ratio string
Video aspect ratio (width:height)
Options: 16:9, 9:16, 1:1
Default: 16:9
duration number
Video duration in seconds
Options: 5, 10
Default: 5
watermark_info array
Whether to generate results with watermarks simultaneously
Defined via the enabled parameter, specific format as follows:
"watermark_info": {
"enabled": boolean // true for generation, false for no generation
}
Custom watermarks are not currently supported
callback_url string
Callback notification address for this task result. If configured, the server will actively notify when the task status changes
external_task_id string
Custom task ID
User-defined task ID, will not overwrite the system-generated task ID when provided, but supports task query via this ID
Please note that uniqueness must be ensured under a single user
Polling
Since video generation takes time, you need to poll the task status after creation
The initial response returns the task ID and initial status. The actual generation results must be obtained through polling the task status endpoint
Response Format
error object
Error information, only present when status is failed
code
stringError code
error_message
stringDetailed error message
output array
Generation results, only present when status is completed
content
arrayList of generated content
type
stringResource type, e.g.,
videourl
stringGenerated content URL
usage object
Usage statistics, only present when status is completed
cost
stringTotal cost in USD
discount
numberDiscount amount
metadata object
Metadata information
Error Codes
| Error Code | Description |
|---|---|
| 002004095 | Internal generation error |
| 002004096 | Result parsing error |
| 002004097 | HTTP error response |
| 002004098 | Status check error |
| 002004099 | Task creation error |